=== debian/changelog ===
cbmconvert (2.1.4-1) unstable; urgency=medium

  * Initial release (closes: #1001182).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Dec 2021 11:52:45 +0100
