## cbmconvert 2.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CMAKE_MINIMUM_REQUIRED (VERSION 3.0.2)
 
-SET (VERSION 2.1.4)
+SET (VERSION 2.1.5)
 CONFIGURE_FILE (version.cmake version.h)
 INCLUDE_DIRECTORIES (${CMAKE_CURRENT_BINARY_DIR})
 
@@ -18,10 +18,12 @@
 
 IF (CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
   PROJECT (cbmconvert VERSION ${VERSION}
+    LANGUAGES C
     DESCRIPTION "Create and convert Commodore 8-bit binary file archives"
     HOMEPAGE_URL "https://github.com/dr-m/cbmconvert/")
 ELSEIF (CMAKE_VERSION VERSION_GREATER_EQUAL 3.9)
   PROJECT (cbmconvert VERSION ${VERSION}
+    LANGUAGES C
     DESCRIPTION "Create and convert Commodore 8-bit binary file archives")
 ELSE()
   PROJECT (cbmconvert VERSION ${VERSION})
@@ -47,9 +49,10 @@
 IF (WIN32)
   INSTALL(FILES cbmconvert.html DESTINATION ".")
 ELSE()
-  INSTALL(FILES cbmconvert.html DESTINATION "share/doc/cbmconvert")
+  INCLUDE(GNUInstallDirs)
+  INSTALL(FILES cbmconvert.html DESTINATION ${CMAKE_INSTALL_DOCDIR})
   INSTALL(FILES cbmconvert.1 zip2disk.1 disk2zip.1
-    DESTINATION "share/man/man1")
+    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 ENDIF()
 INSTALL(TARGETS cbmconvert zip2disk disk2zip)
 
@@ -71,4 +74,11 @@
 ADD_TEST (NAME small_files
   COMMAND ${CMAKE_COMMAND}
   -DCBMCONVERT=$<TARGET_FILE:cbmconvert>
+  -DZIP2DISK=$<TARGET_FILE:zip2disk>
+  -DDISK2ZIP=$<TARGET_FILE:disk2zip>
   -P ${CMAKE_CURRENT_SOURCE_DIR}/small_files.cmake)
+
+ADD_TEST (NAME file_names
+  COMMAND ${CMAKE_COMMAND}
+  -DCBMCONVERT=$<TARGET_FILE:cbmconvert>
+  -P ${CMAKE_CURRENT_SOURCE_DIR}/file_names.cmake)
