=== debian/changelog ===
cbmconvert (2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Backport upstream fix for permission tests failure when run as super-user.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 30 May 2022 18:59:00 +0200
