## cbmconvert 2.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-CMAKE_MINIMUM_REQUIRED (VERSION 3.0.2)
+CMAKE_MINIMUM_REQUIRED (VERSION 3.0.2...3.5)
 
-SET (VERSION 2.1.5)
+SET (VERSION 2.1.6)
 CONFIGURE_FILE (version.cmake version.h)
 INCLUDE_DIRECTORIES (${CMAKE_CURRENT_BINARY_DIR})
 
@@ -54,7 +54,8 @@
   INSTALL(FILES cbmconvert.1 zip2disk.1 disk2zip.1
     DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 ENDIF()
-INSTALL(TARGETS cbmconvert zip2disk disk2zip)
+INSTALL(TARGETS cbmconvert zip2disk disk2zip
+  RUNTIME DESTINATION bin)
 
 ENABLE_TESTING()
 ADD_TEST (cbmconvert_usage ${CMAKE_BINARY_DIR}/cbmconvert)
