=== debian/changelog ===
cbmconvert (2.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 Aug 2024 22:12:15 +0200
