=== debian/control ===
Source: cbmconvert
Section: otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/dr-m/cbmconvert/wiki
Vcs-Browser: https://github.com/dr-m/cbmconvert/
Vcs-Git: https://github.com/dr-m/cbmconvert.git

Package: cbmconvert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Create and convert Commodore 8-bit binary file archives
 cbmconvert extracts files from most known archive file formats that
 are used on 8-bit Commodore computer platforms and writes them to
 several different formats, including some formats used by some
 emulators.
